1

I have ubuntu 18.04 and python3.6.5. I want to install idle but was unable to. What I tried was,

python3

it displays ( I hide the date and time)

python3.6.5 (default, date, time)
[GCC 7.3.0] on linux
Type "help", "copyright", "credits" or "license" for more information.

Then I update the cache

sudo apt-get update

It worked smoothly. After this, I tried to install idle3

sudo apt-get install idle3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package idle3

I am not sure what went wrong. I also tried this

lsb_release -a

which gave me

No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 18.04.1 LTS
Release:    18.04
Codename:   bionic

I also searched it here here.

And then the next command I wrote was

sudo add-apt-repository universe

and then updated it. But when typed it again, it gave me the same.

sudo apt-get install idle3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package idle3

Can someone help? I am quite new to CS and Ubuntu SE, so really sorry if this question wasn't written well.

1

1 Answer 1

1

The idle3 package in Ubuntu has been renamed to three different packages: idle-python3.6, idle-python3.7 and idle-python3.8. Please install the idle3 package that matches your system's Python 3.x version. Python 3.6 is the default Python 3.x version in Ubuntu 18.04, and the command to install idle3 for this version in Ubuntu 18.04 is sudo apt install idle-python3.6. To show the system's Python 3.x version open the terminal and type:

python3
1
  • Actually, we realised it was some problem with PC. It wasn't updating. Now it works! Thanks a lot for answering! Aug 12, 2021 at 10:49

Not the answer you're looking for? Browse other questions tagged or ask your own question.